Set event alert filtering

The set event alert commands manage alert event notification by either disabling or enabling notification related to a specific alertable event. To prevent notification about a specific alertable event, you block it. To enable notification about a specific alertable event, you unblock it.

Supported Arrays

This command applies only to the E2700 and E5600 storage arrays.

Context

Note: This command is an SMcli command, not a script command. You must run this command from a command line. You cannot run this command from the script editor in the storage management software

Context

When you define your storage array, you can configure alerts and define how the event alerts are managed. If you have configured the storage array to send alerts, a notification is sent to a designated recipient when an alertable event occurs. That notification can be one or all of the following types:

The set event alert CLI commands work on a single storage array. When you run the commands on a storage array, only that storage array is affected by the commands. Other storage arrays that have not had the CLI command run against them have the default behavior.

Note: Blocking an event alert does not prevent the event from being posted to the system event log. All events continue to be posted to the event log.
Note: Non-alertable events cannot be made alertable using this command.

Syntax to block an event alert

set blockEventAlert eventType

Syntax to unblock an event alert

set unBlockEventAlert eventType

Parameters

Parameter Description
eventType

This parameter is the integer value for the event. Enter the event value in a hexadecimal format, for example, 0x280D. Always begin the hexadecimal value with 0x to indicate that it is in hexadecimal format. If you do not use 0x, the value is interpreted as a decimal and converted to a hexadecimal value, before applying the block or unblock command. This can cause an incorrect event to be blocked or unblocked.

An error is displayed if you enter an invalid event.

Minimum firmware level

8.10